@import "./variables.sass"

.listing.page
    align-items: normal

    &.loading
        &:before
            position: fixed
            top: 0
            left: 0
            width: 100%
            height: 100%
            content: ''
            background: rgba(black,0.8)
            z-index: 10
        &:after
            position: fixed
            top: 50%
            left: 0
            width: 100%
            line-height: 1
            margin-top: -1em
            text-align: center
            color: white
            content: '截入中...'
            z-index: 11



    .table-wrapper
        width: 100%
        margin: 0 auto
        padding: 30px 0
    .table-orders
        width: 100%
        border-spacing: 0
        th
            font-weight: bold
            border-bottom: 1px solid white
            vertical-align: bottom
        td
            vertical-align: middle
            padding: 0.5em 0
            border-bottom: 1px solid rgba(white,0.2)
            font-size: 24px
        &[data-role="bartender"]
            tr 
                td
                    background: $color-brand
                    color: black
            tr.milkshake
                td
                    background: #95f9a3//$color-brand
                    color: black
            tr.icecream
                td
                    background: #f9a695//$color-brand
                    color: black
            tr.completed
                td
                    opacity: 0.3
                    display: none
            
        &[data-role="service"]
            tr 
                td
                    background: $color-brand
                    color: black
                    opacity: 0.2
            tr.milkshake
                td
                    background: #95f9a3//$color-brand
                    color: black
            tr.icecream
                td
                    background: #f9a695//$color-brand
                    color: black
            tr.completed
                td
                    opacity: 1
        
        .cell-drinkName
            letter-spacing: 0
        .btn-brand.completed
            opacity: 0.3
            pointer-events: none
.controls
    position: fixed
    bottom: 0
    right: 0
    .btn-refresh
        position: relative
        height: 10vh
        line-height: 10vh
        display: inline-block
        background: black
        border: 1px solid $color-brand
        padding: 0 2em

    